Summary:        Secure Password Hashes for Python
Name:           python-argon2-cffi
Version:        23.1.0
Release:        3%{?dist}
License:        MIT
URL:            https://argon2-cffi.readthedocs.io/
Source0:        %{pypi_source argon2_cffi}

BuildRequires:  python3-devel

BuildArch:      noarch


%description
Argon2 won the Password Hashing Competition and argon2-cffi
is the simplest way to use it in Python and PyPy.

%package -n     python3-argon2-cffi
Summary:        Secure Password Hashes for Python

%description -n python3-argon2-cffi
Argon2 won the Password Hashing Competition and argon2-cffi
is the simplest way to use it in Python and PyPy.

%prep
%autosetup -n argon2_cffi-%{version}
sed -Ei 's/"coverage[^"]+", //' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files argon2


%check
%pytest


%files -n python3-argon2-cffi
%license LICENSE
%doc README.md
%dir %{python3_sitelib}/argon2_cffi-%{version}.dist-info
%{python3_sitelib}/argon2_cffi-%{version}.dist-info/*
%{python3_sitelib}/argon2

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.1.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.1.0-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 kianli <kianli@tencent.com> - 23.1.0-1
- Upgrade to 23.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.3.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.3.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Miaojun Dong <zoedong@tencent.com> - 21.3.0-1
- initial build
